< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package v2
  Definition Classes
    ct600
-  package calculations
  Definition Classes
    v2
- CorporationTaxAlreadyPaidCalculator
- CorporationTaxAlreadyPaidParameters
- CorporationTaxCalculator
- Ct600FinalisationCalculator
- LoansToParticipatorsCalculator
- MarginalRateReliefCalculator

t

uk.gov.hmrc.ct.ct600.v2.calculations

# CorporationTaxCalculator 

###

#### trait CorporationTaxCalculator extends CtTypeConverters with NumberRounding

Linear Supertypes
NumberRounding, CtTypeConverters, AnyRef, Any
Known Subclasses
B43, B44, B45, B46, B46R, B53, B54, B55, B56, B56R, B63, B65, B70, E1033, E1035, E1043, E1045
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CorporationTaxCalculator
2. NumberRounding
3. CtTypeConverters
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculateApportionedProfitsChargeableFy1(params: CorporationTaxCalculatorParameters): B44
6.  def calculateApportionedProfitsChargeableFy2(params: CorporationTaxCalculatorParameters): B54
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
   Definition Classes
     CtTypeConverters
9.  implicit def convert(catoInt: CtOptionalInteger): Int
   Definition Classes
     CtTypeConverters
10.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
11.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
12.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
13.  def corporationTaxFy1(proRataProfitsChargeable: B44, rateOfTax: B45): B46
14.  def corporationTaxFy1RoundedHalfDown(corporationTaxFy1: B46): B46R
15.  def corporationTaxFy2(proRataProfitsChargeable: B54, rateOfTax: B55): B56
16.  def corporationTaxFy2RoundedHalfUp(corporationTaxFy2: B56): B56R
17.  def corporationTaxNetOfMrr(corporationTaxFy1: B46, corporationTaxFy2: B56, marginalReliefRate: B64): B65
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalCorporationTaxChargeable(claimingMrr: B42, corporationTaxFy1: B46, corporationTaxFy2: B56, marginalReliefRate: B64): B70
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
22.  def financialYear1(accountingPeriod: HmrcAccountingPeriod): Int
23.  def financialYear2(accountingPeriod: HmrcAccountingPeriod): Option[Int]
24.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  def rateOfTaxFy1(accountingPeriod: HmrcAccountingPeriod, b37: B37, b42: B42, b39: B39, b38: B38): BigDecimal
31.  def rateOfTaxFy2(accountingPeriod: HmrcAccountingPeriod, b37: B37, b42: B42, b39: B39, b38: B38): BigDecimal
32.  def roundedToInt(value: BigDecimal): Int
    Definition Classes
      NumberRounding
33.  def roundedToIntHalfDown(value: BigDecimal): Int
    Definition Classes
      NumberRounding
34.  def roundedToIntHalfUp(value: BigDecimal): Int
    Definition Classes
      NumberRounding
35.  def roundedTwoDecimalPlaces(value: BigDecimal): BigDecimal
    Definition Classes
      NumberRounding
36.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  def totalCorporationTaxChargeable(corporationTaxFy1: B46, corporationTaxFy2: B56): B63
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from NumberRounding

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped